Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware.mail
Class FolderNavigation.FolderNode

    java.lang.Object
      portlets.compoze.groupware.mail.FolderNavigation.FolderNode

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  FolderNavigation

public static class FolderNavigation.FolderNode
extends java.lang.Object
implements java.io.Serializable

This class represents a folder node in the navigation.

See Also:
  Serialized Form

Field Summary
`static int` | `TYPE_DRAFTS`
`static int` | `TYPE_INBOX`
`static int` | `TYPE_NEW_FOLDER`
`static int` | `TYPE_PERSONAL`
`static int` | `TYPE_SENT`
`static int` | `TYPE_TRASH`
`static int` | `VALUE_UNKNOWN_DEPTH`

Method Summary
`int` | `getDepth()` Gets the folder depth.
`java.lang.String` | `getID()` Gets the folder ID.
`int` | `getMessageCount()` Gets the message count.
`java.lang.String` | `getName()` Gets the folder name.
`int` | `getType()` Gets the folder type.
`int` | `getUnreadCount()` Gets the unread message count.
`boolean` | `hasSubFolders()` Checks if the folder has sub-folders.
`boolean` | `hasUnread()` Checks if the folder has unread messages.
`boolean` | `isDepthUnknown()` Checks if the folder depth is unknown
`boolean` | `isExpand()` Checks if the folder should be expanded.
`boolean` | `isModifiable()` Checks if the folder is modifiable (rename, move, delete).
`boolean` | `isRoot()` Checks if the folder is root.
`boolean` | `isSelected()` Checks if the folder is selected.
`boolean` | `supportsSubFolders()` Checks if the folder supports sub-folders.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VALUE_UNKNOWN_DEPTH

    public static final int VALUE_UNKNOWN_DEPTH

See Also:
  Constant Field Values

### TYPE_INBOX

    public static final int TYPE_INBOX

See Also:
  Constant Field Values

### TYPE_TRASH

    public static final int TYPE_TRASH

See Also:
  Constant Field Values

### TYPE_SENT

    public static final int TYPE_SENT

See Also:
  Constant Field Values

### TYPE_DRAFTS

    public static final int TYPE_DRAFTS

See Also:
  Constant Field Values

### TYPE_PERSONAL

    public static final int TYPE_PERSONAL

See Also:
  Constant Field Values

### TYPE_NEW_FOLDER

    public static final int TYPE_NEW_FOLDER

See Also:
  Constant Field Values

Method Detail

### getType

    public int getType()

  Gets the folder type.

  Returns:
    the folder type (see `TYPE_` constants)

### hasUnread

    public boolean hasUnread()

  Checks if the folder has unread messages.

  Returns:
    `true` if the folder has unread messages; `false` otherwise
  See Also:
    `getUnreadCount()`

### getUnreadCount

    public int getUnreadCount()

  Gets the unread message count.

  Returns:
    the unread message count

### getMessageCount

    public int getMessageCount()

  Gets the message count.

  Returns:
    the message count

### isRoot

    public boolean isRoot()

  Checks if the folder is root.

  Returns:
    `true` if the folder is root; `false` otherwise

### isModifiable

    public boolean isModifiable()

  Checks if the folder is modifiable (rename, move, delete).

  Returns:
    `true` if the folder is modifable; `false` otherwise

### supportsSubFolders

    public boolean supportsSubFolders()

  Checks if the folder supports sub-folders.

  Returns:
    `true` if the folder supports sub-folders; `false` otherwise

### hasSubFolders

    public boolean hasSubFolders()

  Checks if the folder has sub-folders.

  Returns:
    `true` if the folder has sub-folders; `false` otherwise

### isSelected

    public boolean isSelected()

  Checks if the folder is selected.

  Returns:
    `true` if the folder is selected; `false` otherwise

### isExpand

    public boolean isExpand()

  Checks if the folder should be expanded.

  Returns:
    `true` if the folder is expanded; `false` otherwise

### getID

    public java.lang.String getID()

  Gets the folder ID.

  Returns:
    the folder ID

### getDepth

    public int getDepth()

  Gets the folder depth.

  Returns:
    the folder depth

### getName

    public java.lang.String getName()

  Gets the folder name.

  Returns:
    the folder name or `null` if not available

### isDepthUnknown

    public boolean isDepthUnknown()

  Checks if the folder depth is unknown

  Returns:
    `true` if the folder depth is unknown, or `false` otherwise

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.